The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

php --with mysql=/usr

Discussion in 'General Discussion' started by casey, Aug 19, 2003.

  1. casey

    casey Well-Known Member

    Joined:
    Jan 17, 2003
    Messages:
    2,303
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    If there is trouble, it will find me
    I tried buildapache and unchecked the mysql module and placed a check beside "use system mysql". This resulted in no mysql in configure, but in the php info file it showed the mysql api as 3.x still.

    When running buildapache, does one need to check both "mysql module" and "use system mysql"? If both of these are checked, will php finally use mysql 4.x?

    cPanel.net Support Ticket Number:
     
  2. ciphervendor

    ciphervendor Well-Known Member

    Joined:
    Aug 26, 2002
    Messages:
    1,052
    Likes Received:
    0
    Trophy Points:
    36
    use system mysql is for MySQL 4. You should only check off one is there are two options.

    Also be sure that you are using a phpinfo page that is separate from the one that cPanel uses.

    cPanel.net Support Ticket Number:
     
  3. casey

    casey Well-Known Member

    Joined:
    Jan 17, 2003
    Messages:
    2,303
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    If there is trouble, it will find me
    Thanks, ciphervendor. That's what I thought. So now there's a problem. I did check "use system mysql". However, after running easyapache, mysql no longer appeared in the configure section, and the api was listed as 3.x.:(

    I guess I'll try running it again and watch for errors this time.

    cPanel.net Support Ticket Number:
     
  4. casey

    casey Well-Known Member

    Joined:
    Jan 17, 2003
    Messages:
    2,303
    Likes Received:
    0
    Trophy Points:
    36
    Location:
    If there is trouble, it will find me
    I didn't see any errors. :(
    So after running easyapache, I ran the configure option manually from the php directory. This time, I didn't see any errors, but it did say
    But it also says,
    And yet, after configuration is done, no --with mysql=/usr shows up. The API is still said to be 3.x.:(:confused:

    cPanel.net Support Ticket Number:
     
Loading...

Share This Page